doctrine:
    dbal:
        connections:
            whiteList:
                url: "%env(resolve:WHITELIST_DATABASE_URL)%"
                profiling_collect_backtrace: "%kernel.debug%"
                use_savepoints: true
            wsc:
                url: "%env(resolve:WSC_DATABASE_URL)%"
                profiling_collect_backtrace: "%kernel.debug%"
                use_savepoints: true
        default_connection: wsc

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '16'

    orm:
        auto_generate_proxy_classes: true
        enable_lazy_ghost_objects: true
        controller_resolver:
            auto_mapping: false
        default_entity_manager: wsc
        entity_managers:
            wsc:
                connection: wsc
                mappings:
                    Wsc:
                        is_bundle: false
                        dir: '%kernel.project_dir%/src/Entity/Wsc'
                        prefix: 'App\Entity\Wsc'
                        alias: Wsc

when@test:
    doctrine:
        dbal:
            # "TEST_TOKEN" is typically set by ParaTest
            dbname_suffix: "_test%env(default::TEST_TOKEN)%"

when@prod:
    doctrine:
        orm:
            auto_generate_proxy_classes: false
            proxy_dir: "%kernel.build_dir%/doctrine/orm/Proxies"
            query_cache_driver:
                type: pool
                pool: doctrine.system_cache_pool
            result_cache_driver:
                type: pool
                pool: doctrine.result_cache_pool

    framework:
        cache:
            pools:
                doctrine.result_cache_pool:
                    adapter: cache.app
                doctrine.system_cache_pool:
                    adapter: cache.system
